# Creating account transfer

## Creating account address

<mark style="color:green;">`POST`</mark> `/api/public/v1/transfers`

This endpoint creates a transfer between accounts in the same currency. You can transfer funds between a master account and a subaccount, or between subaccounts.

**Headers**

| Name          | Value                      |
| ------------- | -------------------------- |
| Content-Type  | `application/vnd.api+json` |
| Authorization | `Bearer <api_key>`         |

**Body**

<table><thead><tr><th>Name</th><th width="116">Type</th><th>Description</th></tr></thead><tbody><tr><td>data</td><td>object</td><td>Object with exchange request data.</td></tr><tr><td>data.type</td><td>string</td><td>Exchange request type. Always <code>transfers</code>.</td></tr><tr><td>data.attributes</td><td>object</td><td>A set of exchange request attributes.</td></tr><tr><td>data.attributes.from_account</td><td>string</td><td>From account ID.</td></tr><tr><td>data.attributes.to_account</td><td>string</td><td>To account ID.</td></tr><tr><td>data.attributes.amount</td><td>number</td><td>Transfer amount.</td></tr><tr><td>data.attributes.currency</td><td>string</td><td>Transfer currency.</td></tr><tr><td>data.attributes.reference</td><td>string</td><td>Unique reference ID for this transfer, included in downloadable CSV transaction reports.</td></tr></tbody></table>

**Request JSON**

```json
{
  "data": {
    "type": "transfers",
    "attributes": {
      "from_account": "13a85b45-8543-41c7-b963-394d4ea128ae",
      "to_account": "dd5016e1-43bb-4be5-b6d6-79e8d0f662b1",
      "amount": 10,
      "currency": "EUR",
      "reference": "c9807056-88da-409e-b628-732adbe76be5"
    }
  }
}
```

**Response**

{% tabs %}
{% tab title="HTTP 200" %}

```json
{
  "data": {
    "id": "5cdf75bf-7f9e-410f-a4a4-841667f57c9f",
    "type": "accountTransfers",
    "attributes": {
      "reference": "1b313a1f-306e-4299-bd61-67f60c851267"
    },
    "relationships": {
      "accountTransactions": {
        "data": [
          {
            "type": "accountTransactions",
            "id": "e55508e2-81b3-4e0f-b49c-380abc9dec91"
          },
          {
            "type": "accountTransactions",
            "id": "179a4edb-0af4-405d-a006-a8588140bb85"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "e55508e2-81b3-4e0f-b49c-380abc9dec91",
      "type": "accountTransactions",
      "attributes": {
        "createdAt": "2026-01-09T10:38:24.351Z",
        "amount": "-10.00"
      },
      "relationships": {
        "account": {
          "data": {
            "type": "accounts",
            "id": "13a85b45-8543-41c7-b963-394d4ea128ae"
          }
        },
        "accountTransfer": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "179a4edb-0af4-405d-a006-a8588140bb85",
      "type": "accountTransactions",
      "attributes": {
        "createdAt": "2026-01-09T10:38:24.395Z",
        "amount": "10.00"
      },
      "relationships": {
        "account": {
          "data": {
            "type": "accounts",
            "id": "dd5016e1-43bb-4be5-b6d6-79e8d0f662b1"
          }
        },
        "accountTransfer": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "13a85b45-8543-41c7-b963-394d4ea128ae",
      "type": "accounts",
      "attributes": {
        "master": true,
        "currencyCode": "EUR",
        "label": "master",
        "bankReference": "BDR6421088115176062",
        "balance": "38465.76",
        "totalBalance": "38687.80",
        "currencyType": "fiat"
      },
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      }
    },
    {
      "id": "dd5016e1-43bb-4be5-b6d6-79e8d0f662b1",
      "type": "accounts",
      "attributes": {
        "master": false,
        "currencyCode": "EUR",
        "label": "EUR_1",
        "bankReference": "BDR4778763138567183",
        "balance": "90.54",
        "totalBalance": "90.54",
        "currencyType": "fiat"
      },
      "relationships": {
        "company": {
          "meta": {
            "included": false
          }
        },
        "networks": {
          "meta": {
            "included": false
          }
        }
      }
    }
  ],
  "meta": {},
  "jsonapi": {
    "version": "1.0"
  }
}
```

{% endtab %}

{% tab title="HTTP 422" %}

```json
{
  "errors": [
    {
      "status": 422,
      "title": "Insufficient balance",
      "code": "account_transfer_insufficient_balance",
      "detail": ""
    }
  ]
}
```

{% endtab %}

{% tab title="HTTP 404" %}

```json
{
  "errors": [
    {
      "status": 404,
      "title": "Record not found",
      "code": "account_not_found",
      "detail": "Account not found"
    }
  ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txn.io/accounts/creating-account-transfer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
